#include <iostream>
#include <vector>

template < class T >
void vypis(const std::vector<T>& v) {
  for (auto &i: v)
  std::cout << i << "\n";
}

template < class T >
void vypis_matici(void *data, int rows, int cols, int row_stride, int col_stride) {
  for (int r = 0; r < rows; r++) {
    std::cout << "> ";
    for (int c = 0; c < cols; c++) std::cout << (long long)*(T*)(data + r*row_stride + c*col_stride) << " ";
    std::cout << "\n";
  }
}

